[Mint 15 Olivia]Cannot install GCC 4.8.1

Questions about applications and software
Forum rules
Before you post please read this

[Mint 15 Olivia]Cannot install GCC 4.8.1

Postby Kallisti on Thu Sep 26, 2013 8:47 pm

Hello all,

I'm trying to install Octave, which means I need a Fortran compiler, so I was installing GCC.

I have all of the dependencies installed (I think; I have GMP, MPFR and MPC), and running './configure' seemed to work fine, but when I ran 'make' I got a cryptic error message:

Code: Select all
checking for suffix of object files... configure: error: in `/home/user/Downloads/gcc-4.8.1/x86_64-unknown-linux-gnu/libgcc':
configure: error: cannot compute suffix of object files: cannot compile
See `config.log' for more details.
make[2]: *** [configure-stage1-target-libgcc] Error 1
make[2]: Leaving directory `/home/user/Downloads/gcc-4.8.1'
make[1]: *** [stage1-bubble] Error 2
make[1]: Leaving directory `/home/user/Downloads/gcc-4.8.1'
make: *** [all] Error 2


I have no idea how to interpret any of that, and Google hasn't helped; checking config.log resulted in an overwhelming amount of text, which I also do not know how to interpret.

I don't want to copy-paste the whole thing unless I have to, because it's enormous and there's (to my knowledge) no way to wrap text in spoiler tabs on this board.

EDIT: Apparently, .logs and .txts can't be attached, so I don't know what file type I need to convert it to in order to attach it.
Kallisti
Level 1
Level 1
 
Posts: 25
Joined: Thu Jun 07, 2012 2:59 pm

Linux Mint is funded by ads and donations.
 

Re: [Mint 15 Olivia]Cannot install GCC 4.8.1

Postby WharfRat on Thu Sep 26, 2013 11:43 pm

Kallisti,

Install pastebinit then

Code: Select all
cat /path/to/logfile|pastebinit

The above will return a url that you can paste back here

Good luck :wink:
Image
User avatar
WharfRat
Level 10
Level 10
 
Posts: 3093
Joined: Thu Apr 07, 2011 8:15 pm

Re: [Mint 15 Olivia]Cannot install GCC 4.8.1

Postby Kallisti on Sun Sep 29, 2013 9:45 pm

Log file here.

The plot thickens--Synaptic tells me I have GCC 4.7 installed already, so I should theoretically have a Fortran compiler; I'm pretty sure gfortran is part of GCC.

So why won't Octave configure? It tells me 'error: cannot compile a simple Fortran program'; I've pasted that log file here, but it's enormous--I had to use a different paste website because it was over Pastebin's limit.

(I still can't 'make' GCC 4.8.1, which is somewhat worrisome, but the ultimate goal is to install Octave.)
Kallisti
Level 1
Level 1
 
Posts: 25
Joined: Thu Jun 07, 2012 2:59 pm

Re: [Mint 15 Olivia]Cannot install GCC 4.8.1

Postby Kallisti on Tue Oct 08, 2013 11:08 pm

So am I on my own, then?
Kallisti
Level 1
Level 1
 
Posts: 25
Joined: Thu Jun 07, 2012 2:59 pm


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 38 guests